Bug 511385 - Please add packagekit* to IGNORE_WRAP
Please add packagekit* to IGNORE_WRAP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 506270
  Show dependency treegraph
 
Reported: 2009-07-14 17:22 EDT by Richard Hughes
Modified: 2009-07-19 06:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.0-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2009-07-14 17:22:04 EDT
Description of problem:
The packagekit plugin does not work when wrapped.

Please change:

export IGNORE_WRAP="libtotem*:libjavaplugin*:gecko-mediaplayer*:mplayerplug-in*:librhythmbox*"

to:

export IGNORE_WRAP="libtotem*:libjavaplugin*:gecko-mediaplayer*:mplayerplug-in*:librhythmbox*:packagekit*"
 
This fixes the problem (when used with a the new PackageKit plugin).

Version-Release number of selected component (if applicable):
PackageKit-browser-plugin-0.5.1-0.1271.20090713git.fc11.i586
nspluginwrapper-1.3.0-5.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Install Packagekit-browser-plugin
2. Open the test page
3. Observe debug spew, and no plugin rendered.
  
Actual results:
[hughsie@hughsie-laptop browser-plugin]$ firefox tests/test.html 
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
(and nothing displayed)

Expected results:
The 5 plugin examples.

Additional info:
This is handled the same way as the libtotem plugins too. I'm not sure how the PackageKit plugin ever worked without being in this list.
Comment 1 Fedora Update System 2009-07-15 02:40:48 EDT
nspluginwrapper-1.3.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nspluginwrapper-1.3.0-6.fc11
Comment 2 Martin Stransky 2009-07-15 09:10:03 EDT
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()

Anyway, does the packagekit plugin need to read NPNVWindowNPObject from browser?
Comment 3 Fedora Update System 2009-07-19 06:16:32 EDT
nspluginwrapper-1.3.0-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.